<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="org.mian.gitnex">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/app_logo"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/network_security_config"
        android:resizeableActivity="true"
        android:roundIcon="@mipmap/app_logo_round"
        android:supportsRtl="true"
        tools:targetApi="n">

        <activity android:name=".activities.MergePullRequestActivity" />
        <activity
            android:name=".activities.FileViewActivity"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".activities.CreateFileActivity"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".activities.RepoWatchersActivity"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".activities.RepoStargazersActivity"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity android:name=".activities.AdminGetUsersActivity" />
        <activity
            android:name=".activities.AddRemoveAssigneesActivity"
            android:theme="@style/Theme.AppCompat.Light.Dialog" />
        <activity android:name=".activities.CreateReleaseActivity" />
        <activity android:name=".activities.EditIssueActivity" />
        <activity android:name=".activities.CreateNewUserActivity" />
        <activity
            android:name=".activities.AddRemoveLabelsActivity"
            android:theme="@style/Theme.AppCompat.Light.Dialog" />
        <activity android:name=".activities.ProfileEmailActivity" />
        <activity android:name=".activities.AddCollaboratorToRepositoryActivity" />
        <activity android:name=".activities.CreateTeamByOrgActivity" />
        <activity android:name=".activities.OrganizationTeamMembersActivity" />
        <activity
            android:name=".activities.OrganizationDetailActivity"
            android:label="@string/title_activity_org_detail"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity android:name=".activities.CreateLabelActivity" />
        <activity android:name=".activities.CreateIssueActivity" />
        <activity android:name=".activities.CreateMilestoneActivity" />
        <activity android:name=".activities.ReplyToIssueActivity" />
        <activity
            android:name=".activities.IssueDetailActivity"
            android:windowSoftInputMode="adjustNothing" />
        <activity
            android:name=".activities.RepoDetailActivity"
            android:label="@string/title_activity_repo_detail"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity android:name=".activities.MainActivity" android:theme="@android:style/Theme.NoTitleBar" android:configChanges="orientation|screenSize|smallestScreenSize|density|screenLayout|uiMode|keyboard|keyboardHidden|navigation">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".activities.LoginActivity"
            android:launchMode="singleTask" android:theme="@android:style/Theme.NoTitleBar"/>
        <activity android:name=".activities.CreateRepoActivity" />
        <activity android:name=".activities.CreateOrganizationActivity" />
        <activity android:name=".activities.OpenRepoInBrowserActivity" />
        <activity android:name=".activities.FileDiffActivity" />
        <activity android:name=".activities.CommitsActivity" />
        <activity android:name=".helpers.ssl.MemorizingActivity" android:theme="@android:style/Theme.Material.Dialog" />
        <activity android:name=".activities.SettingsAppearanceActivity" />
        <activity android:name=".activities.SettingsFileViewerActivity" />
        <activity android:name=".activities.SettingsSecurityActivity" />
        <activity android:name=".activities.SettingsTranslationActivity" />
        <activity android:name=".activities.SettingsReportsActivity" />
        <activity android:name=".activities.AddNewTeamMemberActivity" />
        <activity android:name=".activities.SettingsDraftsActivity" />
        <activity android:name=".activities.RepoForksActivity" />
        <activity android:name=".activities.AddNewAccountActivity" />

        <!-- Version < 3.0. DeX Mode and Screen Mirroring support -->
        <meta-data android:name="com.samsung.android.keepalive.density" android:value="true"/>
        <!-- Version >= 3.0. DeX Dual Mode support -->
        <meta-data android:name="com.samsung.android.multidisplay.keep_process_alive" android:value="true"/>

    </application>

</manifest>
